## amanda 3.3.9

=== debian/changelog ===
amanda (1:3.3.9-5) unstable; urgency=low

  * Created branch for the development of amanda for Debian 9 aka stretch.
  * Fix "amanda-server: patches for newer smbclient/samba versions in
    combination with amsamba", (Closes: #851961).

 -- Jose M Calhariz <jose@calhariz.com>  Tue, 24 Jan 2017 19:29:19 +0000

amanda (1:3.3.9-4) unstable; urgency=low

  * Fix bug report "amanda-common: Amanda::Changer::robot::Interface::MTX
    calls confess but does not use Carp", thank you Will Aoki for the
    report and the patch, (Closes: #849481).
  * Reproducible fix, use allways /bin/sh instead of @SHELL@, "amanda:
    please make the build reproducible (shell), thank you Robbie Harwood
    for the report and the patch, (Closes: #847009).

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 07 Jan 2017 17:51:47 +0000

amanda (1:3.3.9-3) unstable; urgency=medium

  * Add library -lssl to the list of libraries to link, (Closes: #828232, #843852)
  * Fix perl depends:
     * was missing a perlapi-* depend (Closes: #843700),
     * was missing ${perl:Depends} on amanda-client.

 -- Jose M Calhariz <jose@calhariz.com>  Fri, 11 Nov 2016 21:39:15 +0000

amanda (1:3.3.9-2) unstable; urgency=medium

  * Rebuild using new perl 5.24, (Closes: #839392, #839603).
  * Add missing depend to amanda-server on perl.

 -- Jose M Calhariz <jose@calhariz.com>  Mon, 10 Oct 2016 19:33:17 +0100

amanda (1:3.3.9-1) unstable; urgency=low

  * Imported Upstream version 3.3.9
    * Changes for 3.3.9
        * new --with-security-file configure option
          - It set the default security file
          - default to /etc/amanda-security.conf
      * security-fix
          - All previous release of amanda allow the 'amanda' user to execute
            any code as root, and to execute an interactive shell as root.
          - This is a security vulnerability if you do not trust the 'amanda'
            user.
          - There is no need to upgrade if you trust the 'amanda' user and the
            account is secure.
              - good password
              - secure xinetd.conf setting
              - securae .amandahosts setting
          - The 'amanda' user can read all files in the machine, it is what a
            backup program do.
          - The set of fix disable the abilities to run unwanted code as root
            or to write file anywhere in the filesystem.
      * /etc/amanda-security.conf
          - A file that contains security setting.
          - It list all binaries amanda can execute as root
          - restore_by_amanda_user
              - It tell if the 'amanda' user can do restore as root.
              - It allow the 'amanda' user to write files anywhere in the
                filesystem
          - see: man amanda-security.conf
      * amgtar/amstar/ambsdtar/runtar
          - Disable arguments that can fork program.
          - Verify the realpath (with symbolic link resolved) is in the
            amanda-security.conf file.
          - Verify the tar/star/bsdtar realpath program is secure
              - owned by root and modifiable only by root.
          - On restore, check the restore_by_amanda_user setting if not run
            by root.

  * Fix to configure and build with future openssl v1.1, but fail to link.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * New configuration file /etc/amanda-security.conf.
  * Update translations pt_BR (Closes: #816961) and tr (Closes: #759871).
  * Fix uri on Vcs-* fields.
  * Add missing description and author to patches.
  * Use set command to setup options of scripts.
  * Change to new style of rules.
  * Make amanda build reproducible (Closes: #830725).  Thank you Chris Lamb.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 13 Aug 2016 10:13:13 +0100
