## amanda 3.5.1

=== debian/changelog ===
amanda (1:3.5.1-8ubuntu1) jammy; urgency=medium

  * Ignore test results, apparently failing with new glib2.0:
    FAIL: hexencode-test
    ====================
    (process:2542858): GLib-ERROR **: 07:02:12.065: adding 18446744073709551615 to string would overflow

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Feb 2022 07:12:28 +0100

amanda (1:3.5.1-8) unstable; urgency=medium

  * Create a new set of config files for quick deploys and update
    README.Debian accordingly and specially for auth=ssh.
  * Started to debug the behaviour of taperflush and friends.  Patch
    disabled for now: 42-experimental.
  * Bug fix: "Please add support for TI RPC implementation", thanks to
    Aurelien Jarno for the patch (Closes: #972435).
  * Bug fix: "amanda ftbfs with glibc-2.32", thanks to Matthias Klose
    (Closes: #974204).

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 22 Aug 2021 16:34:26 +0100

amanda (1:3.5.1-7) unstable; urgency=medium

  * Reverting extra changes from 1:3.5.1-6 for possible a release on
    bullseye.

 -- Jose M Calhariz <calhariz@debian.org>  Mon, 28 Jun 2021 22:46:06 +0100

amanda (1:3.5.1-6) unstable; urgency=medium

  * Bug fix: "On a minimal installation there is no Mail command available
    to send email", thanks to Jose M Calhariz (Closes: #990080).

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 22 Jun 2021 13:10:01 +0100

amanda (1:3.5.1-5) unstable; urgency=medium

  * Bump debhelper compatibility level to 10, no changes needed.
  * Bump Standards-Version to 4.0.1, problems with reproducible builds
    requires further research.
  * Temporary fix: "merged /usr and tar path problem in
    /etc/amanda-security.conf", thanks to Charles Curley, #939411.
  * Bug fix: "'lexical' taperscan in Amanda 3.5 ignores
    tapes; pool assignment", thanks to Nathan Stratton Treadway
    (Closes: #909231).  Was already accepted by upstream.
  * Bug fix: "ftbfs with GCC-10", thanks to Matthias Klose and Václav
    Doležal (Closes: #956995).

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 02 Aug 2020 21:57:24 +0100

amanda (1:3.5.1-4) unstable; urgency=medium

  * Move ambind to amanda-common. (Closes: #942828)
  * Fix, lexical.pm last_use_label ignores storage field on tapelist.
  * Fix for small DLEs.
  * Accepted unreleased NMU, thank you Ondřej Nový.
  * Fix "amanda-client: HOST localhost ERROR: //192.168.0.250/ftp:
    Application 'amsamba': exited with status 1", (Closes: #931622).
  * Add libjson-perl to Depends for amanda-common (Closes: #960561).

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 02 Jun 2020 16:15:07 +0100

amanda (1:3.5.1-3) UNRELEASED; urgency=medium

  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 10:02:46 +0200

amanda (1:3.5.1-2) unstable; urgency=medium

  * Repository moved to salsa.debian.org
  * Add patches to fix amanda when there are many clients and some of them
    fail: 24-for-jose-server, 28-protocol_check.
  * Fix driver when memory allocation may fail: 26-driver-fix-crash.

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 21 Apr 2018 21:29:30 +0100

amanda (1:3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
      * Fix compilation on Solaris
      * Do not check all 'r' bit on suid binary
      * Fix parsing of configuration override (-o)
          - can unset some setting
      * client code will not fail if shared memory is not available
      * amreport
          - lot of improvement
      * allow '*' for a datestamp wildcard
      * amgetconf
          - print an empty string if a parameter is not set instead of 'no
            such parameter'
      * amdump
          - new --no-dump, --no-flush and --no-vault argument
      * amstatus fix
      * lock holding disk to protect multiple parallel access

  * Patches refreshed
  * Patches dropped: fix-lintian-miss-spelling-amanda.conf.5.xml,
    fix-lintian-miss-spelling-amanda-changers.7.xml,
    25-fix-parsing-for-vault-conffile.c,
    27-report-crc-errors-Report-human.pm
  * Amanda now supports multiple amdumps running at the same time.  The
    fix "lock holding disk to protect multiple parallel access" is
    important for this bug, (Closes: #881754).

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 07 Jan 2018 19:20:39 +0000

amanda (1:3.5-2) unstable; urgency=medium

  * Add patch: 25-fix-parsing-for-vault-conffile.c
  * Add patch: 27-report-crc-errors-Report-human.pm
  * Add Breaks and Replaces because some man pages migrated to
    amanda-common.

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 05 Nov 2017 15:16:57 +0000

amanda (1:3.5-1) experimental; urgency=medium

  * Add gawk as Build-Depends.
  * New upstream version 3.5
      * Use different thread to connect to different client
      * amservice, amcheck, planner, dumper are no longer suid root
      * ambind
         - new suid program to bind to a privileged port
      * amanda-security.conf
         - new tcp_port_range, range of privileged tcp port
         - new udp_port_range, range of privileged udp port
      * S3 device
         - openstack keystone v3 support
           * device-property STORAGE-API must be set to SWIFT-3
           * new PROJECT-NAME device-property
           * new DOMAIN-NAME device-property
      * amfetchdump
         - rename --directory argument to --target
      * ampgsql
         - new --incremental property
         - new --remove-full-wal property
         - new --remove-incremental-wal property

  * New upstream version 3.4.6
     * fix planner looping
     * fix overflow in S3 device
     * fix compilation on OpenBSD
     * fix race in amarchive reader
     * fix amflush (flush date selected by user)
     * fix local auth, use getaddrinfo to find if the host is local
     * fix dumper cancelling the shm_ring with a STRANGE result
     * fix chunker hang
     * Improve taperscan with chg-single and interactivity


