=== debian/control ===
--- 
+++ 
@@ -1,33 +1,36 @@
 Source: amanda
 Section: utils
 Priority: optional
-Maintainer: Jose M Calhariz <jose@calhariz.com>
+Maintainer: Jose M Calhariz <calhariz@debian.org>
 Build-Depends: autotools-dev,
                bsd-mailx | mailx,
                curl,
-               debhelper (>= 9),
+               debhelper (>= 10~),
                dh-autoreconf,
                dump [linux-any],
                flex,
+               gawk,
                gnuplot,
                libcurl4-openssl-dev,
                libglib2.0-dev,
                libncurses5-dev,
                libreadline-dev,
                libssl-dev,
+               libtirpc-dev,
                libtool,
                lpr,
                mtx,
                perl,
                po-debconf,
+               pkg-config,
                procps,
                smbclient,
                swig,
                xfsdump [linux-any],
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://www.amanda.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/amanda.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/amanda.git
+Vcs-Git: https://salsa.debian.org/debian/amanda.git
+Vcs-Browser: https://salsa.debian.org/debian/amanda
 
 Package: amanda-common
 Architecture: any
@@ -36,13 +39,17 @@
          debconf | debconf-2.0,
          openbsd-inetd | inet-superserver,
          update-inetd,
+         libjson-perl,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
 Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version}),
 Conflicts: amanda,
+Breaks: amanda-client (<< 1:3.5),
+        amanda-server (<< 1:3.5.1-3~)
 Replaces: amanda,
-          amanda-client,
+          amanda-client (<< 1:3.5),
+          amanda-server (<< 1:3.5.1-3~)
 Description: Advanced Maryland Automatic Network Disk Archiver (Libs)
  This package contains libraries required by the amanda client and
  server packages and includes the documentation.
@@ -51,6 +58,7 @@
 Architecture: any
 Depends: amanda-common (= ${binary:Version}),
          bsd-mailx | mailx,
+         libjson-perl,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
