## amanda 3.5.1.1

=== debian/changelog ===
amanda (1:3.5.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 964aba7ce370486518c432398a833cb0f917c32a']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 19:56:28 +0000
