=== debian/rules ===
--- 
+++ 
@@ -40,19 +40,13 @@
 %:
 	dh $@ --with autoreconf --parallel
 
-override_dh_auto_test:
-	-dh_auto_test
-
 override_dh_auto_configure:
-	# MAILER: Fix for #296022, #475771 and #990080
-	MAILER="/usr/bin/mail" LIBS="-lssl" dh_auto_configure -- $(confflags)
+	LIBS="-lssl" dh_auto_configure -- $(confflags)
 
 override_dh_install:
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp -name '*.la'`
 	dh_install --list-missing
 	cp example/xinetd.amandaserver $(com)/etc/xinetd.d/amanda
-	# Temporary fix for #939411.
-	cat debian/amanda-security.conf > $(cli)/etc/amanda-security.conf
 
 override_dh_fixperms:
 	dh_fixperms
@@ -69,7 +63,7 @@
 		$(cli)/usr/lib/amanda/killpgrp \
 		$(cli)/usr/lib/amanda/rundump \
 		$(cli)/usr/lib/amanda/runtar \
-		$(com)/usr/lib/amanda/ambind \
+		$(ser)/usr/lib/amanda/ambind \
 		$(ser)/usr/lib/amanda/dumper \
 		$(ser)/usr/lib/amanda/planner \
 		$(ser)/usr/sbin/amcheck
@@ -81,7 +75,7 @@
 		$(cli)/usr/lib/amanda/rundump \
 		$(cli)/usr/lib/amanda/runtar
 	chmod u==srwx,g=rx,o= \
-		$(com)/usr/lib/amanda/ambind
+		$(ser)/usr/lib/amanda/ambind
 
 override_dh_makeshlibs:
 	dh_makeshlibs --noscripts
