## amanda 3.5.4

=== debian/changelog ===
amanda (1:3.5.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096302)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 20:38:59 +0300

amanda (1:3.5.4-2) unstable; urgency=medium

  * Acknowledge previous NMU, thank you "Niels Thykier".
  * Fix Build-Depends and enable the generation of man pages (Closes:
    #1082578).
  * Fixes because of perl v5.40

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 25 Jan 2025 21:59:30 +0000

amanda (1:3.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089282)

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jan 2025 17:38:42 +0000

amanda (1:3.5.4-1) unstable; urgency=medium

  * New upstream version 3.5.4
  * Refresh old patches.
  * Drop patches accepted upstream or that no longer apply.
  * Add yacc to Buil-Depends.
  * Fix upstream files.
  * Fix build for gcc 14 (Closes: #1074806).
  * Fix Build-Depends on libncurses-dev.
  * Fix Build-Depends on gnuplot.
  * Drop autotools-dev from Build-Depends.

 -- Jose M Calhariz <calhariz@debian.org>  Thu, 25 Jul 2024 07:44:52 +0100

amanda (1:3.5.1-12) unstable; urgency=medium

  * Bug fix: "$localstatedir incorrect in some utilities.", thanks to Jim
    Barber (Closes: #551564).  This bug was fixed long time ago, possibly
    for v3.3.3 in 2012.

 -- Jose M Calhariz <calhariz@debian.org>  Mon, 22 Jul 2024 09:24:29 +0100

amanda (1:3.5.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream fix for CVE-2023-30577 (Closes: #1055253)

 -- Tobias Frost <tobi@debian.org>  Sun, 03 Dec 2023 14:09:23 +0100

amanda (1:3.5.1-11) unstable; urgency=medium

  * d/p/49-fix-CVE-2022-37705_part_2: 48-fix-CVE-2022-37705 broken one use
    case at least, this patch fix it, fixing the following two bugs.
  * Bug fix: "backups fail with the following summary &quot;FAILED [no
    backup size line]&quot;", thanks to Norman Lyon (Closes: #1032330).
  * Bug fix: "Amanda is unusable", thanks to Kamil Jonca (Closes:
    #1032884).

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 21 Mar 2023 17:35:47 +0000

amanda (1:3.5.1-10) unstable; urgency=medium

  * d/p/48-fix-CVE-2022-37705: Fix CVE-2022-37705.
  * d/p/50-fix-CVE-2022-37704: Partial fix for CVE-2022-37704
  * d/p/52-fix-CVE-2022-37704_part_2: Partial fix for CVE-2022-37704,
    second vector (RSH).
  * d/p/56-fix-CVE-2022-37703: Fix CVE-2022-37703.
  * Bug fix: "CVE-2022-37704 CVE-2022-37705", thanks to Salvatore
    Bonaccorso (Closes: #1029829).

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 26 Feb 2023 16:53:55 +0000

amanda (1:3.5.1-9) unstable; urgency=medium

  * debian/amanda-server.README.Debian: Move some text.
  * d/p/46-disable-check-hex: Disable hexencode_test, upstream have not
    yet fixed the test. (Closes: #1008447).

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 12 Jul 2022 23:56:59 +0100
