=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Jose M Calhariz <calhariz@debian.org>
-Build-Depends: autotools-dev,
+Build-Depends: yacc,
                bsd-mailx | mailx,
                curl,
                debhelper (>= 10~),
-               dh-autoreconf,
+               docbook,
+               docbook-to-man,
+               docbook-xml,
+               docbook-xsl,
                dump [linux-any],
                flex,
                gawk,
-               gnuplot,
+               gnuplot-nox | gnuplot,
                libcurl4-openssl-dev,
                libglib2.0-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev,
                libssl-dev,
                libtirpc-dev,
@@ -27,6 +30,8 @@
                smbclient,
                swig,
                xfsdump [linux-any],
+               xsltproc,
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.0.1
 Homepage: http://www.amanda.org/
 Vcs-Git: https://salsa.debian.org/debian/amanda.git
