=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 com=$(CURDIR)/debian/amanda-common
 ser=$(CURDIR)/debian/amanda-server
@@ -35,18 +36,27 @@
 		--with-bsdtcp-security \
 		--with-bsdudp-security \
 		--without-ipv6 \
+		--enable-manpage-build \
 		--enable-s3-device
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	sh ./config/gen-file-lists
+	dh_autoreconf
 
 override_dh_auto_configure:
-	LIBS="-lssl" dh_auto_configure -- $(confflags)
+	# MAILER: Fix for #296022, #475771 and #990080
+	MAILER="/usr/bin/mail" LIBS="-lssl" dh_auto_configure -- $(confflags)
 
 override_dh_install:
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp -name '*.la'`
-	dh_install --list-missing
+	dh_install
+	dh_missing --list-missing
 	cp example/xinetd.amandaserver $(com)/etc/xinetd.d/amanda
+	# Temporary fix for #939411.
+	cat debian/amanda-security.conf > $(cli)/etc/amanda-security.conf
 
 override_dh_fixperms:
 	dh_fixperms
@@ -63,7 +73,7 @@
 		$(cli)/usr/lib/amanda/killpgrp \
 		$(cli)/usr/lib/amanda/rundump \
 		$(cli)/usr/lib/amanda/runtar \
-		$(ser)/usr/lib/amanda/ambind \
+		$(com)/usr/lib/amanda/ambind \
 		$(ser)/usr/lib/amanda/dumper \
 		$(ser)/usr/lib/amanda/planner \
 		$(ser)/usr/sbin/amcheck
@@ -75,7 +85,7 @@
 		$(cli)/usr/lib/amanda/rundump \
 		$(cli)/usr/lib/amanda/runtar
 	chmod u==srwx,g=rx,o= \
-		$(ser)/usr/lib/amanda/ambind
+		$(com)/usr/lib/amanda/ambind
 
 override_dh_makeshlibs:
 	dh_makeshlibs --noscripts
